### Script for CFP1 ear files install.

RUN_DIR   = "c:\\CFP1-Staging\installRoot\\cpiif_run\\applications\\";

APPTARGET_CLUSTER = "IIFCluster.AppTarget";
WASTARGET_CLUSTER = "IIFCluster.WASTarget";

CELLNAME = "IIFCell01";
WEBSERVER = "IIFwebserver";
WEBSERVER_NODE = "IIFwebNode01";


AdminApp.install(RUN_DIR +  'ModelManagementServicesApp.ear','[-cluster ' + APPTARGET_CLUSTER + '  -MapModulesToServers [[ModelManagementServices ModelManagementServices.war,WEB-INF/web.xml WebSphere:cell=' + CELLNAME + ',cluster=' + APPTARGET_CLUSTER + '+WebSphere:cell=' + CELLNAME + ',node=' + WEBSERVER_NODE+ ',server=' + WEBSERVER + ']]]')
AdminConfig.save()
print "Installed ModelManagementServicesApp "

AdminApp.install(RUN_DIR +  'ModelManagementWebApp.ear','[-cluster ' + APPTARGET_CLUSTER + '  -MapModulesToServers [[ModelManagementFlowsWeb ModelManagementWeb.war,WEB-INF/web.xml WebSphere:cell=' + CELLNAME + ',cluster=' + APPTARGET_CLUSTER + '+WebSphere:cell=' + CELLNAME + ',node=' + WEBSERVER_NODE+ ',server=' + WEBSERVER + ']]]')
AdminConfig.save()
print "Installed ModelManagementWebApp "

AdminApp.install(RUN_DIR +  'RTAccessServiceEar.ear','[-cluster ' + WASTARGET_CLUSTER + ' -MapModulesToServers [[RTAccessServlet RTAccessServlet.war,WEB-INF/web.xml WebSphere:cell=' + CELLNAME + ',cluster=' + WASTARGET_CLUSTER + '+WebSphere:cell=' + CELLNAME + ',node=' + WEBSERVER_NODE+ ',server=' + WEBSERVER + ']]]')
AdminConfig.save()
print "Installed RTAccessServiceEar "


AdminApp.install(RUN_DIR +  'IndFrwksEAMBusinessServices.ear', '[-cluster ' + APPTARGET_CLUSTER + ' -MapModulesToServers [[ IndFrwksRSMBusinessServicesEJB IndFrwksRSMBusinessServicesEJB.jar,META-INF/ejb-jar.xml WebSphere:cell=' + CELLNAME + ',node=' + WEBSERVER_NODE+ ',server=' + WEBSERVER + '+WebSphere:cell=' + CELLNAME + ',cluster=' + APPTARGET_CLUSTER + ' ][ MIFBusinessServicesWeb IndFrwksEAMBusinessServicesWeb.war,WEB-INF/web.xml WebSphere:cell=' + CELLNAME + ',node=' + WEBSERVER_NODE+ ',server=' + WEBSERVER + '+WebSphere:cell=' + CELLNAME + ',cluster=' + APPTARGET_CLUSTER + ' ][ IndFrwksPropertiesConfigurator IndFrwksPropertiesConfigurator.war,WEB-INF/web.xml WebSphere:cell=' + CELLNAME + ',node=' + WEBSERVER_NODE+ ',server=' + WEBSERVER + '+WebSphere:cell=' + CELLNAME + ',cluster=' + APPTARGET_CLUSTER + ' ][ IndFrwksSolutionStudioWeb IndFrwksSolutionStudioWeb.war,WEB-INF/web.xml WebSphere:cell=' + CELLNAME + ',node=' + WEBSERVER_NODE+ ',server=' + WEBSERVER + '+WebSphere:cell=' + CELLNAME + ',cluster=' + APPTARGET_CLUSTER + ' ]]]' ) 
AdminConfig.save()
print "Installed IndFrwksEAMBusinessServices "

AdminApp.install(RUN_DIR +  'IifVizServices.ear','[-cluster ' + WASTARGET_CLUSTER + ' -MapModulesToServers [[VizServicesWeb IifVizServicesWeb.war,WEB-INF/web.xml WebSphere:cell=' + CELLNAME + ',cluster=' + WASTARGET_CLUSTER + '+WebSphere:cell=' + CELLNAME + ',node=' + WEBSERVER_NODE+ ',server=' + WEBSERVER + ']]  ]')
AdminConfig.save()
print "Installed IifVizServices "

AdminApp.install(RUN_DIR +  'RSMAccessWSEAR.ear','[-usedefaultbindings -deployws -cluster ' + WASTARGET_CLUSTER + ' -MapModulesToServers [[RSMAccessWS RSMAccessWS.war,WEB-INF/web.xml WebSphere:cell=' + CELLNAME + ',cluster=' + WASTARGET_CLUSTER + '+WebSphere:cell=' + CELLNAME + ',node=' + WEBSERVER_NODE+ ',server=' + WEBSERVER + ']  [RSMWebService RSMWebService.war,WEB-INF/web.xml WebSphere:cell=' + CELLNAME + ',cluster=' + WASTARGET_CLUSTER + '+WebSphere:cell=' + CELLNAME + ',node=' + WEBSERVER_NODE+ ',server=' + WEBSERVER + ']]]')
AdminConfig.save()
print "Installed RSMAccessWSEAR "

###May 15 2009 - added IndFrwksVizUIApp installation
# JoAnn added distribution across web server. 6/2/2009
AdminApp.install(RUN_DIR + 'IndFrwksVizUIApp.ear', '[ -nopreCompileJSPs -distributeApp -nouseMetaDataFromBinary -nodeployejb -appname IndFrwksVizUIApp -createMBeansForResources -noreloadEnabled -nodeployws -validateinstall warn -noprocessEmbeddedConfig -filepermission .*\.dll=755#.*\.so=755#.*\.a=755#.*\.sl=755 -noallowDispatchRemoteInclude -noallowServiceRemoteInclude -MapModulesToServers [[ IndFrwksVizUIAppEjb IndFrwksVizUIAppEjb.jar,META-INF/ejb-jar.xml WebSphere:cell=' + CELLNAME + ',node=' + WEBSERVER_NODE + ',server='+ WEBSERVER +'+WebSphere:cell='+ CELLNAME+',cluster='+WASTARGET_CLUSTER+' ][ IndFrwksVizUIAppWeb IndFrwksVizUIAppWeb.war,WEB-INF/web.xml WebSphere:cell='+CELLNAME+',node='+WEBSERVER_NODE+',server='+WEBSERVER+'+WebSphere:cell='+CELLNAME+',cluster='+WASTARGET_CLUSTER+' ]]]' )
AdminConfig.save()
print "Installed IndFrwksVizUIApp "

AdminApp.install(RUN_DIR +  'IndFrwksBpelRequestListener.ear','[-cluster ' + APPTARGET_CLUSTER + ']')
AdminConfig.save()
print "Installed IndFrwksBpelRequestListener "

print "******************************************************************************************"
print "IIF Applications installed successfully. Please start the Applications from Admin Console."
print "!!!!Please start IndFrwksPPWServerSideAppEAR.ear before starting cpiifre0103.sys2!!!!"
print "******************************************************************************************"